Subject: IMPORTANT: ld (linker) changed
To: None <tech-toolchain@NetBSD.ORG>
From: Todd Vierling <tv@NetBSD.ORG>
List: current-users
Date: 04/09/1998 12:04:35
NOTE: This only applies to architectures using a.out object file formats
(therefore, alpha, mips-pmax/newsmips, and powerpc-powerpc/bebox are
unaffected by this).

It's been brought to my attention by scott that some of you may be taking
the integration of EGCS as an opportunity to go from 1.3 or 1.3.1 to
-current.  As with all moves from a release to -current, some tools need
rebuilding before a build will succeed.

This notice really has no direct relevance to egcs; a build of any shared
library (including the one egcs builds) will fail with the new system
makefile <> without installing a new ld.  Just make sure that as
part of updating to -current, that you "cd src/gnu/usr.bin/ld; make && make
install" before building egcs or the rest of the tree. 

-- Todd Vierling (Personal; Bus.